local PetBattleTeams = LibStub("AceAddon-3.0"):GetAddon("PetBattleTeams")
local GUI = PetBattleTeams:GetModule("GUI")

local function OnEvent()
	if event == "CHAT_MSG_LOOT" then
		local itemCount = GetItemCount(86143)
		self.QuantityOwned:SetText(itemCount)
	end
end

local function OnLeave()  
	GameTooltip:Hide() 
end

local function OnEnter(self)
	GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
	GameTooltip:SetItemByID(86143) 
end

local function OnShow(self) 
	self:RegisterEvent("SPELL_UPDATE_COOLDOWN")
end

local function OnHide(self) 
	self:UnregisterEvent("SPELL_UPDATE_COOLDOWN")
end

function GUI:CreateBandageButton(name,parent)
	--local HEAL_PET_SPELL = 125439
	--local spellName, spellSubname, spellIcon = GetSpellInfo(HEAL_PET_SPELL)
	--local start, duration, enable = GetSpellCooldown(HEAL_PET_SPELL)
	--button.spellID = HEAL_PET_SPELL
	--button:SetAttribute("spell",spellName)
	
	local itemName = "Battle Pet Bandage"
	local icon = GetItemIcon(86143)
	local itemCount = GetItemCount(86143)
	button = CreateFrame("Button",parent:GetName()..name,UIParent,"secureactionbuttontemplate")
	button:SetAttribute("type", "Item")
	button:SetAttribute("target-item","Battle Pet Bandage")
	
	button:SetSize(38,38)
	
	button.Icon = button:CreateTexture(name.."Icon","ARTWORK")
	button.Icon:SetTexture(icon)
	button.Icon:SetAllPoints()
	
	button.Border = button:CreateTexture(name.."Border","OVERLAY","ActionBarFlyoutButton-IconFrame")
	button:SetPushedTexture("Interface\\Buttons\\UI-Quickslot-Depress")
	button:SetHighlightTexture("Interface\\Buttons\\ButtonHilight-Square","ADD")
	
	
	--[[local selectedTeamText = widget:CreateFontString(nil,"OVERLAY","GameFontNormal")
	widget.selectedTeamText = selectedTeamText
	selectedTeamText:SetText("Selected Team")
	selectedTeamText:SetPoint("TOP", widget, "TOP",-5,-10)
	selectedTeamText:SetJustifyH("CENTER")
	selectedTeamText:Show()]]
	
	--[[button.QuantityOwned = button:CreateFontString(nil,"OVERLAY","GameFontHighlight")
	button.QuantityOwned:SetText(itemCount)
	button.QuantityOwned:SetPoint("BOTTOMRIGHT",button,"BOTTOMRIGHT",-2,2)
	button.QuantityOwned:SetJustifyH("RIGHT")]]
	
	button:SetScript("OnEvent", OnEvent)
	button:SetScript("OnShow", OnShow)
	button:SetScript("OnHide",OnHide)
	button:SetScript("OnEnter", OnEnter)
	button:SetScript("OnLeave",OnLeave)
	--button:RegisterEvent("CHAT_MSG_LOOT")
	
	return button
end

